# TdApi.CreateVoiceChat (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CreateVoiceChat

Package it.tdlight.jni

# Class TdApi.CreateVoiceChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.CreateVoiceChat

Enclosing class:
  TdApi

    public static class TdApi.CreateVoiceChat
    extends TdApi.Function

Creates a voice chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVoiceChats rights.

Returns `GroupCallId`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier, in which the voice chat will be created.
`static int` | `CONSTRUCTOR` |
`int` | `startDate` | Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the voice chat immediately.
`String` | `title` | Group call title; if empty, chat title will be used.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CreateVoiceChat()` | Creates a voice chat (a group call bound to a chat).
`CreateVoiceChat​(long chatId, String title, int startDate)` | Creates a voice chat (a group call bound to a chat).
`CreateVoiceChat​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier, in which the voice chat will be created.

### title

public String title
Group call title; if empty, chat title will be used.

### startDate

public int startDate
Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the voice chat immediately. The date must be at least 10 seconds and at most 8 days in the future.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CreateVoiceChat

public CreateVoiceChat()
Creates a voice chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVoiceChats rights.

Returns `GroupCallId`

### CreateVoiceChat

public CreateVoiceChat​(long chatId, String title, int startDate)
Creates a voice chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVoiceChats rights.

Returns `GroupCallId`

Parameters:
  `chatId` - long Chat identifier, in which the voice chat will be created.
  `title` - String Group call title; if empty, chat title will be used.
  `startDate` - int Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the voice chat immediately. The date must be at least 10 seconds and at most 8 days in the future.

### CreateVoiceChat

public CreateVoiceChat​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`